/*
gateToMath.tm contains the desctriptions of functions as they will be called from Mathematica
the :Function name, however, corresponds to a c function name that is placed in link.c
the gateToMath.c file is automatically compiled from this one by the Mathematica mrep command
if you wish to make modifications such as implementing new functions or changing parameters,
in would be reasonable to consider getting the mrep module and changing this particular file,
rather that gateToMath.c
the c functions themself can be changed in the link.m file
*/

:Begin:
:Function:      feval
:Pattern:       FEval[s_String]
:Arguments:     {s}
:ArgumentTypes: {String}
:ReturnType:    String
:End:

:Evaluate:      FEval::usage = "FEval['x'] performs an external evaluation of x"



:Begin:
:Function:      finit
:Pattern:       FInit[path_String, s_String]
:Arguments:     {path,s}
:ArgumentTypes: {String,String}
:ReturnType:    Null
:End:

:Evaluate:      FInit::usage = "FInit['file','x,...,y'] initializes fermat with variables x,..y"


:Begin:
:Function:      addvars
:Pattern:       FAddVars[s_String]
:Arguments:     {s}
:ArgumentTypes: {String}
:ReturnType:    Null
:End:

:Evaluate:      FAddVars::usage = "FAddVars['x,...,y'] add variables x,..y to Fermat"

:Begin:
:Function:      fermatclose
:Pattern:       FClose[]
:Arguments:     {}
:ArgumentTypes: {}
:ReturnType:    Null
:End:

:Evaluate:      FClose::usage = "FClose[] closes the fermat program and the link"
:Evaluate:		Print["FLink created! You can read information on FInit, FEval, FAddVars and FClose"]
